Loading...
Searching...
No Matches
fru_field_t Struct Reference
Information areas

A generic input (decoded) field structure. More...

`#include <fru.h>`

## Data Fields

fru_field_enc_t | enc
| The encoding of the field.
char | val [FRU_FIELDMAXARRAY]
| The decoded C-string representation of the field value.

## Detailed Description

A generic input (decoded) field structure.

Contains the FRU field encoding as well as the field value as a string.

You probably don't want to set this manually. Prefer the fru_setfield() function instead as it performs additional checks.

## Field Documentation

## enc

fru_field_enc_t fru_field_t::enc

The encoding of the field.

Takes any of the `field_enc_t` values

## val

char fru_field_t::val[FRU_FIELDMAXARRAY]

The decoded C-string representation of the field value.

The documentation for this struct was generated from the following file:

- fru.h